CREATE TABLE ar_lc_cust_sites_t (
    LC_CUST_SITES_ID                 NUMBER(18, 0),
    CUSTOMER_ID                      NUMBER(18, 0),
    CUSTOMER_SITE_USE_ID             NUMBER(18, 0),
    CURRENCY_CODE                    VARCHAR2(60) ,
    CUSTOMER_PROFILE_ID              NUMBER(18, 0),
    COLLECTOR_ID                     NUMBER(18, 0),
    LATE_CHARGE_CALCULATION_TRX      VARCHAR2(120),
    CREDIT_ITEMS_FLAG                VARCHAR2(4)  ,
    DISPUTED_TRANSACTIONS_FLAG       VARCHAR2(4)  ,
    PAYMENT_GRACE_DAYS               NUMBER       ,
    LATE_CHARGE_TYPE                 VARCHAR2(120),
    LATE_CHARGE_TERM_ID              NUMBER(18, 0),
    INTEREST_PERIOD_DAYS             NUMBER       ,
    INTEREST_CALCULATION_PERIOD      VARCHAR2(120),
    CHARGE_ON_FINANCE_CHARGE_FLAG    VARCHAR2(4)  ,
    HOLD_CHARGED_INVOICES_FLAG       VARCHAR2(4)  ,
    MESSAGE_TEXT_ID                  NUMBER(18, 0),
    MULTIPLE_INTEREST_RATES_FLAG     VARCHAR2(4)  ,
    CHARGE_BEGIN_DATE                DATE         ,
    CONS_INV_FLAG                    VARCHAR2(4)  ,
    CONS_BILL_LEVEL                  VARCHAR2(120),
    LAST_CONS_BILL_ID                NUMBER(18, 0),
    LAST_CONS_BILL_AMOUNT            NUMBER       ,
    LAST_CONS_BILL_DATE              DATE         ,
    LAST_CONS_BILL_DUE_DATE          DATE         ,
    CUST_ACCT_PROFILE_AMT_ID         NUMBER(18, 0),
    EXCHANGE_RATE                    NUMBER(18, 0),
    EXCHANGE_RATE_TYPE               VARCHAR2(120),
    MIN_FC_INVOICE_OVERDUE_TYPE      VARCHAR2(120),
    MIN_FC_INVOICE_AMOUNT            NUMBER       ,
    MIN_FC_INVOICE_PERCENT           NUMBER       ,
    MIN_FC_BALANCE_OVERDUE_TYPE      VARCHAR2(120),
    MIN_FC_BALANCE_AMOUNT            NUMBER       ,
    MIN_FC_BALANCE_PERCENT           NUMBER       ,
    MIN_INTEREST_CHARGE              NUMBER       ,
    MAX_INTEREST_CHARGE              NUMBER       ,
    INTEREST_TYPE                    VARCHAR2(120),
    INTEREST_RATE                    NUMBER       ,
    INTEREST_FIXED_AMOUNT            NUMBER       ,
    INTEREST_SCHEDULE_ID             NUMBER(18, 0),
    PENALTY_TYPE                     VARCHAR2(120),
    PENALTY_RATE                     NUMBER       ,
    PENALTY_FIXED_AMOUNT             NUMBER       ,
    PENALTY_SCHEDULE_ID              NUMBER(18, 0),
    LAST_ACCRUE_CHARGE_DATE          DATE         ,
    ORG_ID                           NUMBER(18, 0)    NOT NULL,
    REQUEST_ID                       NUMBER(18, 0),
    LC_CUST_SITES_ID                 NUMBER(18, 0),
    CUSTOMER_ID                      NUMBER(18, 0),
    CUSTOMER_SITE_USE_ID             NUMBER(18, 0),
    CURRENCY_CODE                    VARCHAR2(60) ,
    CUSTOMER_PROFILE_ID              NUMBER(18, 0),
    COLLECTOR_ID                     NUMBER(18, 0),
    LATE_CHARGE_CALCULATION_TRX      VARCHAR2(120),
    CREDIT_ITEMS_FLAG                VARCHAR2(4)  ,
    DISPUTED_TRANSACTIONS_FLAG       VARCHAR2(4)  ,
    PAYMENT_GRACE_DAYS               NUMBER       ,
    LATE_CHARGE_TYPE                 VARCHAR2(120),
    LATE_CHARGE_TERM_ID              NUMBER(18, 0),
    INTEREST_PERIOD_DAYS             NUMBER       ,
    INTEREST_CALCULATION_PERIOD      VARCHAR2(120),
    CHARGE_ON_FINANCE_CHARGE_FLAG    VARCHAR2(4)  ,
    HOLD_CHARGED_INVOICES_FLAG       VARCHAR2(4)  ,
    MESSAGE_TEXT_ID                  NUMBER(18, 0),
    MULTIPLE_INTEREST_RATES_FLAG     VARCHAR2(4)  ,
    CHARGE_BEGIN_DATE                DATE         ,
    CONS_INV_FLAG                    VARCHAR2(4)  ,
    CONS_BILL_LEVEL                  VARCHAR2(120),
    LAST_CONS_BILL_ID                NUMBER(18, 0),
    LAST_CONS_BILL_AMOUNT            NUMBER       ,
    LAST_CONS_BILL_DATE              DATE         ,
    LAST_CONS_BILL_DUE_DATE          DATE         ,
    CUST_ACCT_PROFILE_AMT_ID         NUMBER(18, 0),
    EXCHANGE_RATE                    NUMBER(18, 0),
    EXCHANGE_RATE_TYPE               VARCHAR2(120),
    MIN_FC_INVOICE_OVERDUE_TYPE      VARCHAR2(120),
    MIN_FC_INVOICE_AMOUNT            NUMBER       ,
    MIN_FC_INVOICE_PERCENT           NUMBER       ,
    MIN_FC_BALANCE_OVERDUE_TYPE      VARCHAR2(120),
    MIN_FC_BALANCE_AMOUNT            NUMBER       ,
    MIN_FC_BALANCE_PERCENT           NUMBER       ,
    MIN_INTEREST_CHARGE              NUMBER       ,
    MAX_INTEREST_CHARGE              NUMBER       ,
    INTEREST_TYPE                    VARCHAR2(120),
    INTEREST_RATE                    NUMBER       ,
    INTEREST_FIXED_AMOUNT            NUMBER       ,
    INTEREST_SCHEDULE_ID             NUMBER(18, 0),
    PENALTY_TYPE                     VARCHAR2(120),
    PENALTY_RATE                     NUMBER       ,
    PENALTY_FIXED_AMOUNT             NUMBER       ,
    PENALTY_SCHEDULE_ID              NUMBER(18, 0),
    LAST_ACCRUE_CHARGE_DATE          DATE         ,
    ORG_ID                           NUMBER(18, 0)    NOT NULL,
    REQUEST_ID                       NUMBER(18, 0),
    CONSTRAINT pk_ar_lc_cust_sites_t PRIMARY KEY (LC_CUST_SITES_ID, LC_CUST_SITES_ID)
);
